<?php
class Link{
   public $name;
   public $url;

   public function __construct($newName, $newUrl){
      $this->name = $newName;
      $this->url = $newUrl;
   }
}

class dbLinkHandler
{
   private $pdo;

   public function __construct()
   {
      try
      {
         // Verbindung zur Datenbank herstellen
         $this->pdo = new PDO('mysql:host=localhost;dbname=linkvz', 'linkvz', 'linkvz');
         $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
         
         // Tabelle link erstellen, falls nicht vorhanden
         
         $sql = 'CREATE TABLE IF NOT EXISTS link (
            link_url VARCHAR(50) NOT NULL PRIMARY KEY,
            link_name VARCHAR(100),
            reg_date TIMESTAMP
            )';
            
         $this->pdo->exec($sql); // use exec() because no results are returned
      }
      catch(PDOException $e)
      {
         echo $sql . "<br>" . $e->getMessage();
      }
   }

   public function saveLink($link)
   {
      try
      {
      $statement = $this->pdo->prepare('INSERT INTO link(link_url, link_name) VALUES (:link_url, :link_name)');
      $statement->execute
      ([
         ':link_url'    => $link->url,
         ':link_name'   => $link->name
      ]);
      }
      catch(PDOException $e)
      {
         if ($e->errorInfo[1] == 1062)
         {
            echo 'haaaaaa<br><br>';
         }
         else
         {
            echo $e->getMessage();
         }
      }
   }

   public function getListReverse()
   {
      // Mit verschachtelten Arrays optimieren!! Array schlüssel id enthält array mit schlüssel link_id, link_name, etc (repräsentiert datensatz)
      $list = array();
      $sql = "SELECT * FROM link ORDER BY link_name DESC";

      return $this->pdo->query($sql);
   }

   public function getList()
   {
      //$sql = "SELECT * FROM link";
      $statement = $this->pdo->prepare("SELECT * FROM link");
      $statement->execute();
      //return $this->pdo->query($sql);
      return $statement->fetch;
   }
}
?>